Subject: [test failure] Re: t4114 binary file becomes symlink

From: Nicolas Sebrecht <[email-masked]>
Date: Sat, 18 Jul 2009 22:39:22 +0200

The 18/07/09, Junio C Hamano wrote:
> Jeff King <[email-masked]> writes:
> 
> > Are you compiling with any special options?

Normally, no (cf. my mail to Johannes Sixt).

> >                                             I usually compile with just
> > "-g -Wall -Werror", but I also tried with "-O2" and couldn't reproduce.

The Makefile have

  215:CFLAGS = -g -O2 -Wall
  217:ALL_CFLAGS = $(CFLAGS)

and it should be OK. I know that -Werror will fail on

  libgit.a(mkdtemp.o): In function `gitmkdtemp':
    /home/nicolas/dev/official_packages/git/compat/mkdtemp.c:5: warning: the
    use of `mktemp' is dangerous, better use `mkstemp'

but I think this is an unrelated problem.

$ gcc --version
gcc (GCC) 4.1.2 (Gentoo 4.1.2 p1.3)

> Me neither, but I found an unrelated anomaly in the output from the test
> nearby.
> 
>     Switched to branch 'foo-baz-renamed-from-foo'
>     *   ok 3: file renamed from foo/baz to foo
> 
>     * expecting success:
>             git checkout -f foo-becomes-a-directory &&
>             git diff-tree -p HEAD initial > patch &&
>             git apply --index < patch
> 
>     error: Invalid path ''
>     Switched to branch 'foo-becomes-a-directory'
>     *   ok 4: directory becomes file
> 
> Notice the "error"?

I couldn't reproduce this error here with

  sh t4114-apply-typechange.sh --verbose
and
  sh t4114-apply-typechange.sh --verbose --debug

on the current next.

With this patch, I still fail on the test.

-- 
Nicolas Sebrecht